highFilter-methods {xps} | R Documentation

## Upper Threshold Filter

### Description

This method initializes the Upper Threshold Filter.
The `cutoff` value defines the upper threshold for allowed expression levels. If e.g. the number of samples exceeding this cutoff value is greater than `parameter` then the corresponding dataframe row is flagged, i.e. `flag = 0`.
The Upper Threshold Filter flags all rows with: `flag = (sum(expression[i] <= cutoff) >= parameter)`

Usage

`highFilter(object)`
`highFilter(object, value)<-`

### Arguments

`object` | object of class `PreFilter`.
`value` | character vector `c(cutoff, parameter, condition)`.

### Details

The method `highFilter` initializes the following parameters:

| `cutoff`: | the upper threshold level for the filter.
| `parameter`: | this value depends on the `condition` used:
| `condition`: | `condition="samples"`: number of samples (default):
|  | `condition="percent"`: percent of samples.
|  | `condition="mean"`: mean value of samples.
|  | `condition="percentile"`: percentile of samples.

### Value

An initialized `PreFilter` object.

### Author(s)

Christian Stratowa

### Examples

    prefltr <- PreFilter()
    highFilter(prefltr) <- c(14.5,75.0,"percent")
    str(prefltr)

[Package xps version 1.2.10 Index]